For the complete documentation index, see llms.txt. This page is also available as Markdown.

CancelLimitOrders

post

Cancels limit orders for a given account.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to cancel limit orders for.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Body
ordersstring[]Optional
computeUnitPricestringOptional
makerstringRequired
Responses
200

A promise that resolves to a JupiterAPIResponse containing the result of the cancellation.

application/json

Represents the structure of a response from the Jupiter API.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

post/jupiter/{accountName}/cancelLimitOrders
POST /jupiter/{accountName}/cancelLimitOrders HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "orders": [
    "text"
  ],
  "computeUnitPrice": "text",
  "maker": "text"
}
200

A promise that resolves to a JupiterAPIResponse containing the result of the cancellation.

{
  "success": true,
  "message": "text",
  "data": {
    "transaction": null,
    "function": "text",
    "params": [],
    "data": null,
    "success": true,
    "message": "text",
    "jupiter": null,
    "transactionHash": "text"
  }
}